Postman Create Account

Countries

Endpoint

GET https://dashboard.mbiyo.africa/api/v1/countries

Headers

Header Type Required Description
Authorization string Bearer token with your merchant API key

Query Parameters

Parameter Type Required Description
page string Sets the page number; use "all" to retrieve all items. Default: 1
limit integer Number of items per page. Default: 20

Example Request

curl -X GET "https://dashboard.mbiyo.africa/api/v1/countries" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
    "data": [
        {
            "name": "Argentina",
            "iso2": "AR"
        },
        {
            "name": "Australia",
            "iso2": "AU"
        },
        {
            "name": "Austria",
            "iso2": "AT"
        },
        {
            "name": "Belgium",
            "iso2": "BE"
        },
        {
            "name": "Canada",
            "iso2": "CA"
        },
        {
            "name": "Lithuania",
            "iso2": "LT"
        },
        {
            "name": "Malta",
            "iso2": "MT"
        },
        {
            "name": "Mexico",
            "iso2": "MX"
        }
    ],
    "links": {
        "first": "https://dashboard.mbiyo.africa/api/v1/countries?page=1",
        "last": "https://dashboard.mbiyo.africa/api/v1/countries?page=2",
        "prev": null,
        "next": "https://dashboard.mbiyo.africa/api/v1/countries?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 2,
        "links": [
            {"url": null, "label": "« Previous", "active": false},
            {"url": "https://dashboard.mbiyo.africa/api/v1/countries?page=1", "label": "1", "active": true},
            {"url": "https://dashboard.mbiyo.africa/api/v1/countries?page=2", "label": "2", "active": false},
            {"url": "https://dashboard.mbiyo.africa/api/v1/countries?page=2", "label": "Next »", "active": false}
        ],
        "path": "https://dashboard.mbiyo.africa/api/v1/countries",
        "per_page": 20,
        "to": 20,
        "total": 33
    }
}
Docs Assistant
Hi! I can answer questions about the API documentation. Try asking something like "How do I make a payout?" or "What networks are supported in Burkina Faso?"